Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.config
Class RenderingType

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.config.RenderingType

public class RenderingType
extends java.lang.Object

Id: RenderingType.java,v 1.0
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: RenderingType
Original Author: Yohan Colmant
This represents a metadata profile used to set the rendering type on a space

Field Summary
`private java.lang.String` | `label` The label of this rendering type
`private java.lang.String` | `skinFile` The skinFile

Constructor Summary
`RenderingType()`

Method Summary
`java.lang.String` | `getLabel()`
`java.lang.String` | `getSkinFile()`
`void` | `setLabel(java.lang.String label)`
`void` | `setSkinFile(java.lang.String skinFile)`
`java.lang.String` | `toString()` Return a String representation of this rendering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### skinFile

    private java.lang.String skinFile

  The skinFile

### label

    private java.lang.String label

  The label of this rendering type

Constructor Detail

### RenderingType

    public RenderingType()

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns:
    Returns the label.

### setLabel

    public void setLabel(java.lang.String label)

  Parameters:
    `label` - The label to set.

### getSkinFile

    public java.lang.String getSkinFile()

  Returns:
    Returns the skinFile.

### setSkinFile

    public void setSkinFile(java.lang.String skinFile)

  Parameters:
    `skinFile` - The skinFile to set.

### toString

    public java.lang.String toString()

  Return a String representation of this rendering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD